tbb::interface6::memory_pool_allocator< T, P >::rebind< U > Struct Template Reference

`#include <memory_pool.h>`

Collaboration diagram for tbb::interface6::memory_pool_allocator< T, P >::rebind< U >:

## Public Types

typedef memory_pool_allocator< U, P > | other

## Detailed Description

### template<typename T, typename P = internal::pool_base>
template<typename U>
struct tbb::interface6::memory_pool_allocator< T, P >::rebind< U >

Definition at line 102 of file memory_pool.h.

## Member Typedef Documentation

## other

template<typename T, typename P = internal::pool_base>
template<typename U >

typedef memory_pool_allocator<U, P> tbb::interface6::memory_pool_allocator< T, P >::rebind< U >::other

Definition at line 103 of file memory_pool.h.

The documentation for this struct was generated from the following file:

- memory_pool.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.